package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 处方物流表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPrescriptionExpressageVO", description = "处方物流表")
public class WlyyPrescriptionExpressageVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 关联wlyy_wlyy_prescription id
	 */
	@ApiModelProperty(value = "关联门诊记录", example = "模块1")
    private String outpatientId;

    /**
	 * 快递单号
	 */
	@ApiModelProperty(value = "快递单号", example = "模块1")
    private String mailno;

    /**
	 * 收货人名称
	 */
	@ApiModelProperty(value = "收货人名称", example = "模块1")
    private String name;

    /**
	 * 收货人手机号码 13606078123
	 */
	@ApiModelProperty(value = "收货人手机号码 13606078123", example = "模块1")
    private String mobile;

    /**
	 * 收货人座机号 0592-1111111
	 */
	@ApiModelProperty(value = "收货人座机号 0592-1111111", example = "模块1")
    private String phone;

    /**
	 * 收货人详细地址
	 */
	@ApiModelProperty(value = "收货人详细地址", example = "模块1")
    private String address;

    /**
	 * 省代码
	 */
	@ApiModelProperty(value = "省代码", example = "模块1")
    private String provinceCode;

    /**
	 * 省名称
	 */
	@ApiModelProperty(value = "省名称", example = "模块1")
    private String provinceName;

    /**
	 * 市代码
	 */
	@ApiModelProperty(value = "市代码", example = "模块1")
    private String cityCode;

    /**
	 * 市名称
	 */
	@ApiModelProperty(value = "市名称", example = "模块1")
    private String cityName;

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String townCode;

    /**
	 * 区名称
	 */
	@ApiModelProperty(value = "区名称", example = "模块1")
    private String townName;

    /**
	 * 街道code
	 */
	@ApiModelProperty(value = "街道code", example = "模块1")
    private String streetCode;

    /**
	 * 街道名称
	 */
	@ApiModelProperty(value = "街道名称", example = "模块1")
    private String streetName;

    /**
	 * 配药机构code
	 */
	@ApiModelProperty(value = "配药机构code", example = "模块1")
    private String hospitalCode;

    /**
	 * 配药机构名称
	 */
	@ApiModelProperty(value = "配药机构名称", example = "模块1")
    private String hospitalName;

    /**
	 * 配药机构地址
	 */
	@ApiModelProperty(value = "配药机构地址", example = "模块1")
    private String hospitalAddress;

    /**
	 * 重量   单位是克
	 */
	@ApiModelProperty(value = "重量   单位是克", example = "模块1")
    private Integer weight;

    /**
	 * 快递的配送费用
	 */
	@ApiModelProperty(value = "快递的配送费用", example = "模块1")
    private Integer price;

    /**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;

    /**
	 * 是否自取 1是 0否
	 */
	@ApiModelProperty(value = "是否自取 1是 0否", example = "模块1")
    private Integer oneselfPickupFlg;

    /**
	 * 备注
	 */
	@ApiModelProperty(value = "备注", example = "模块1")
    private String remark;

    /**
	 * 配送机构地址
	 */
	@ApiModelProperty(value = "配送机构地址", example = "模块1")
    private String expressageHospitalAddress;

    /**
	 * 配送机构code
	 */
	@ApiModelProperty(value = "配送机构code", example = "模块1")
    private String expressageHospitalCode;

    /**
	 * 如果配送方式是健管师那么这个字段存服务站名称，如果是快递配送那么是快递公司名称
	 */
	@ApiModelProperty(value = "如果配送方式是健管师那么这个字段存服务站名称，如果是快递配送那么是快递公司名称", example = "模块1")
    private String expressageHospitalName;

    /**
	 * 配送人名称
	 */
	@ApiModelProperty(value = "配送人名称", example = "模块1")
    private String expressageName;

    /**
	 * 配送人code
	 */
	@ApiModelProperty(value = "配送人code", example = "模块1")
    private String expressageCode;

    /**
	 * 开始配送时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "开始配送时间", example = "模块1")
    private Date expressageTime;

    /**
	 * 配送人电话
	 */
	@ApiModelProperty(value = "配送人电话", example = "模块1")
    private String expressageMobile;

    /**
	 * 1可用 0删除
	 */
	@ApiModelProperty(value = "1可用 0删除", example = "模块1")
    private Integer del;

    /**
	 * 接收人电话
	 */
	@ApiModelProperty(value = "接收人电话", example = "模块1")
    private String acceptMobile;

    /**
	 * 接收人code
	 */
	@ApiModelProperty(value = "接收人code", example = "模块1")
    private String acceptCode;

    /**
	 * 接收人名称
	 */
	@ApiModelProperty(value = "接收人名称", example = "模块1")
    private String acceptName;

    /**
	 * 接收人所属的机构code
	 */
	@ApiModelProperty(value = "接收人所属的机构code", example = "模块1")
    private String acceptHospital;

    /**
	 * 接收人所属机构名称
	 */
	@ApiModelProperty(value = "接收人所属机构名称", example = "模块1")
    private String acceptHospitalName;

    /**
	 * 接受时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "接受时间", example = "模块1")
    private Date acceptTime;

    /**
	 * 患者填写的需要送达的机构地址
	 */
	@ApiModelProperty(value = "患者填写的需要送达的机构地址", example = "模块1")
    private String patientHospitalAddress;

    /**
	 * 患者填写的需要送达的机构名称
	 */
	@ApiModelProperty(value = "患者填写的需要送达的机构名称", example = "模块1")
    private String patientHospitalName;

    /**
	 * 患者填写的需要送达的机构code
	 */
	@ApiModelProperty(value = "患者填写的需要送达的机构code", example = "模块1")
    private String patientHospitalCode;

    /**
	 * 接收机构地址
	 */
	@ApiModelProperty(value = "接收机构地址", example = "模块1")
    private String acceptHospitalAddress;

    /**
	 * 配药机构出药人（健管师或者称工作人员）
	 */
	@ApiModelProperty(value = "配药机构出药人（健管师或者称工作人员）", example = "模块1")
    private String hospitalDoctor;

    /**
	 * 配药机构出药人code
	 */
	@ApiModelProperty(value = "配药机构出药人code", example = "模块1")
    private String hospitalDoctorCode;

    /**
	 * 配药机构出药时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "配药机构出药时间", example = "模块1")
    private Date fetchingMedicineTime;

    /**
	 * 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "", example = "模块1")
    private Date deliveryTime;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getOutpatientId() {
        return outpatientId;
    }

    public void setOutpatientId(String outpatientId) {
        this.outpatientId = outpatientId;
    }

    public String getMailno() {
        return mailno;
    }
    public void setMailno(String mailno) {
        this.mailno = mailno;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPhone() {
        return phone;
    }
    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }
    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceCode() {
        return provinceCode;
    }
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }
    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityCode() {
        return cityCode;
    }
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTownCode() {
        return townCode;
    }
    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    public String getTownName() {
        return townName;
    }
    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getStreetCode() {
        return streetCode;
    }
    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public String getStreetName() {
        return streetName;
    }
    public void setStreetName(String streetName) {
        this.streetName = streetName;
    }

    public String getHospitalCode() {
        return hospitalCode;
    }
    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }

    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getHospitalAddress() {
        return hospitalAddress;
    }
    public void setHospitalAddress(String hospitalAddress) {
        this.hospitalAddress = hospitalAddress;
    }

    public Integer getWeight() {
        return weight;
    }
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public Integer getPrice() {
        return price;
    }
    public void setPrice(Integer price) {
        this.price = price;
    }

    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOneselfPickupFlg() {
        return oneselfPickupFlg;
    }
    public void setOneselfPickupFlg(Integer oneselfPickupFlg) {
        this.oneselfPickupFlg = oneselfPickupFlg;
    }

    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getExpressageHospitalAddress() {
        return expressageHospitalAddress;
    }
    public void setExpressageHospitalAddress(String expressageHospitalAddress) {
        this.expressageHospitalAddress = expressageHospitalAddress;
    }

    public String getExpressageHospitalCode() {
        return expressageHospitalCode;
    }
    public void setExpressageHospitalCode(String expressageHospitalCode) {
        this.expressageHospitalCode = expressageHospitalCode;
    }

    public String getExpressageHospitalName() {
        return expressageHospitalName;
    }
    public void setExpressageHospitalName(String expressageHospitalName) {
        this.expressageHospitalName = expressageHospitalName;
    }

    public String getExpressageName() {
        return expressageName;
    }
    public void setExpressageName(String expressageName) {
        this.expressageName = expressageName;
    }

    public String getExpressageCode() {
        return expressageCode;
    }
    public void setExpressageCode(String expressageCode) {
        this.expressageCode = expressageCode;
    }

    public Date getExpressageTime() {
        return expressageTime;
    }
    public void setExpressageTime(Date expressageTime) {
        this.expressageTime = expressageTime;
    }

    public String getExpressageMobile() {
        return expressageMobile;
    }
    public void setExpressageMobile(String expressageMobile) {
        this.expressageMobile = expressageMobile;
    }

    public Integer getDel() {
        return del;
    }
    public void setDel(Integer del) {
        this.del = del;
    }

    public String getAcceptMobile() {
        return acceptMobile;
    }
    public void setAcceptMobile(String acceptMobile) {
        this.acceptMobile = acceptMobile;
    }

    public String getAcceptCode() {
        return acceptCode;
    }
    public void setAcceptCode(String acceptCode) {
        this.acceptCode = acceptCode;
    }

    public String getAcceptName() {
        return acceptName;
    }
    public void setAcceptName(String acceptName) {
        this.acceptName = acceptName;
    }

    public String getAcceptHospital() {
        return acceptHospital;
    }
    public void setAcceptHospital(String acceptHospital) {
        this.acceptHospital = acceptHospital;
    }

    public String getAcceptHospitalName() {
        return acceptHospitalName;
    }
    public void setAcceptHospitalName(String acceptHospitalName) {
        this.acceptHospitalName = acceptHospitalName;
    }

    public Date getAcceptTime() {
        return acceptTime;
    }
    public void setAcceptTime(Date acceptTime) {
        this.acceptTime = acceptTime;
    }

    public String getPatientHospitalAddress() {
        return patientHospitalAddress;
    }
    public void setPatientHospitalAddress(String patientHospitalAddress) {
        this.patientHospitalAddress = patientHospitalAddress;
    }

    public String getPatientHospitalName() {
        return patientHospitalName;
    }
    public void setPatientHospitalName(String patientHospitalName) {
        this.patientHospitalName = patientHospitalName;
    }

    public String getPatientHospitalCode() {
        return patientHospitalCode;
    }
    public void setPatientHospitalCode(String patientHospitalCode) {
        this.patientHospitalCode = patientHospitalCode;
    }

    public String getAcceptHospitalAddress() {
        return acceptHospitalAddress;
    }
    public void setAcceptHospitalAddress(String acceptHospitalAddress) {
        this.acceptHospitalAddress = acceptHospitalAddress;
    }

    public String getHospitalDoctor() {
        return hospitalDoctor;
    }
    public void setHospitalDoctor(String hospitalDoctor) {
        this.hospitalDoctor = hospitalDoctor;
    }

    public String getHospitalDoctorCode() {
        return hospitalDoctorCode;
    }
    public void setHospitalDoctorCode(String hospitalDoctorCode) {
        this.hospitalDoctorCode = hospitalDoctorCode;
    }

    public Date getFetchingMedicineTime() {
        return fetchingMedicineTime;
    }
    public void setFetchingMedicineTime(Date fetchingMedicineTime) {
        this.fetchingMedicineTime = fetchingMedicineTime;
    }

    public Date getDeliveryTime() {
        return deliveryTime;
    }
    public void setDeliveryTime(Date deliveryTime) {
        this.deliveryTime = deliveryTime;
    }


}